%global forgeurl https://github.com/AlizaMedicalImaging/AlizaMS

Name:    alizams
Version: 1.7.2

%forgemeta

Release: 1%{?dist}
Summary: Aliza MS DICOM Viewer
License: GPLv3
URL:     %{forgeurl}
Source0: %{forgesource}
Source1: %{name}.appdata.xml

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  g++
BuildRequires:  libuuid-devel
BuildRequires:  zlib-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  vxl-devel
BuildRequires:  openjpeg2-devel >= 2.0
BuildRequires:  CharLS-devel
BuildRequires:  cmake(LIBMINC)
BuildRequires:  cmake(ITK)
BuildRequires:  cmake(gdcm)
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  bullet-devel

Requires:       hicolor-icon-theme
Requires:       qt5-qtsvg

Provides:       bundled(vectormath)
Provides:       bundled(colorspace)

# https://github.com/AlizaMedicalImaging/AlizaMS/issues/2
ExcludeArch:      %{power64} %{ix86} s390x

%description
A 2D and 3D DICOM viewer with many tools and very fast directory
scanner and DICOMDIR support. 
It can consistently de-identify DICOM files.

%prep
%forgesetup

# Remove unuseful directories
rm -rf debian-10
rm -rf fedora-34
rm -rf package/apple
rm -rf package/art
rm -fr mdcm/Utilities/mdcmzlib/
rm -fr mdcm/Utilities/mdcmopenjpeg/
rm -fr mdcm/Utilities/mdcmcharls/
rm -fr mdcm/Utilities/mdcmuuid/
rm -fr mdcm/Utilities/pvrg/
rm -fr b/
rm -fr CG/glew/

%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
  -DALIZA_QT_VERSION:STRING=5 \
  -DALIZA_USE_SYSTEM_BULLET:BOOL=ON \
  -DMDCM_USE_SYSTEM_ZLIB:BOOL=ON \
  -DMDCM_USE_SYSTEM_OPENJPEG:BOOL=ON \
  -DMDCM_USE_SYSTEM_CHARLS:BOOL=ON \
  -DMDCM_USE_SYSTEM_UUID:BOOL=ON \
  -DALIZA_CXX_STANDARD:STRING=14 \
  -DITK_DIR=%{_libdir}/cmake/InsightToolkit \
%cmake_build

%install
%cmake_install

# Install appdata
install -d %{buildroot}%{_datadir}/metainfo
install -p -m 0644 %{SOURCE1} \
  %{buildroot}%{_datadir}/metainfo

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet \
  %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Nov 22 2021 Alessio <alessio@fedoraproject.org> - 1.7.2-1
- Initial RPM version
